version: "3.7"
services:
  nginx:
    image: nginx:1.19.3
    ports:
      - 80
    volumes:
      - /etc/nginx/conf.d
      - /var/cache/nginx
      - /run
    read_only: true
networks:
  default: 
      driver: bridge
      ipam:
          driver: default
          config:
              - subnet: "192.169.0.0/24"
                gateway: "192.169.0.1"